package dev.fyloz.plannervio.core.model

import javafx.beans.property.SimpleBooleanProperty
import javafx.beans.property.SimpleLongProperty
import javafx.beans.property.SimpleStringProperty

data class Task (
    val id: Long,
    val name: String,
    val description: String,
    val finished: Boolean
) {
    val idProperty = SimpleLongProperty(id)
    val nameProperty = SimpleStringProperty(name)
    val descriptionProperty = SimpleStringProperty(description)
    val finishedProperty = SimpleBooleanProperty(finished)
}
